﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GGJ_2015.UI
{
    public abstract class UIElement
    {
        public const int MAX_BAR_WIDTH = 240;

        public bool ACTIVE = true, VISIBLE = true;

        public Vector2 position;

        public virtual void OffsetPosition(Vector2 pos)
        {
            position += pos;
        }

        public virtual void SetPosition(Vector2 pos)
        {
            this.position = pos;
        }

        public abstract void Update(GameTime dt);

        public abstract void Render(SpriteBatch batch);
    }
}
