﻿using GGJ_2015.Util;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GGJ_2015.UI
{
    class UIText : UIElement
    {
        private Color textColour;
        private string text;

        public UIText(Vector2 position, String inText, Color textColor)
        {
            this.textColour = textColor;
            this.position = position;
            SetText(inText);
        }

        public void SetText(string newText)
        {
            this.text = newText;
        }

        public override void Render(SpriteBatch batch)
        {
            BitmapFont.font.Draw(batch, (int)position.X, (int)position.Y, text, textColour);
        }

        public override void Update(Microsoft.Xna.Framework.GameTime dt)
        {
        }
    }
}
