﻿using Microsoft.Xna.Framework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GGJ_2015
{
    public class Entity : GameObject
    {
        public Vector2 terminalVeloctity = new Vector2(100, 175);

        public Vector2 velocity = Vector2.Zero;

        /// <summary>
        /// LERP the speed to 0 over 1 second if no key input (fancy variable friction)
        /// </summary>
        public Vector2 acceleration = Vector2.Zero;

        public void ClampVelocity()
        {
            velocity.X = MathHelper.Clamp(velocity.X, -terminalVeloctity.X, terminalVeloctity.X);
            velocity.Y = MathHelper.Clamp(velocity.Y, -terminalVeloctity.Y, terminalVeloctity.Y);
        }     

        public override void Update(Microsoft.Xna.Framework.GameTime dt)
        {
            throw new NotImplementedException();
        }

        public override void Render(Microsoft.Xna.Framework.Graphics.SpriteBatch batch)
        {
            throw new NotImplementedException();
        }
    }
}
