﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GGJ_2015
{
    public abstract class GameObject
    {
        public Vector2 position = Vector2.Zero;

        /// <summary>
        /// Width and Height of the game object
        /// </summary>
        public Vector2 size = Vector2.Zero;

        public bool collidable = false;

        public bool remove = false;
        
        public abstract void Update(GameTime dt);

        public abstract void Render(SpriteBatch batch);
    }
}
